using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            double zbir, max = 0;
            string[] s;
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            double[] p = new double[n];
            for (int i = 0; i < n; i++)
            {
                s = Console.ReadLine().Split();
                a[i] = int.Parse(s[0]);
                p[i] = double.Parse(s[1])/100;
            }
            for (int i = 0; i < n; i++)
            {
                zbir = 0;
                for (int j = 0; j < n; j++)
                {
                    if (p[i] <= p[j]) zbir += p[i] * a[j];
                }
                if (zbir > max) max = zbir;
            }
            Console.WriteLine(max.ToString("0.0000"));
        }
    }
}